<?php

# Program Name: main.php
# Programmer: John Phillips - (Revised by Team B)
# Date: 2002.02.06
# Purpose: The main section of an example discussion board program.
# Arguments: sessionId, [message]

# Last Revised Date: 13/3/2001
# Modification on Revised Date: Added the administrative tool section. 


#$YSP = "b_a6_";

# Include the code from the following files.

require( "commonDB.php" );	# functions to connect to the database
require( "functions.php" );	# functions that do everything else


# Start our web page and connect to the database.

beginHTMLPage() or die( "Function beginHTMLPage error" );
connectToDB() or die( "Function connectToDB error" );

# Get the userId and make sure this is a valid session.

if( empty($sessionNum) ) {
  die( "Error Detected: Empty sessionNum on entry to main.php." );
} 
else {
  $userId = validateSession( $sessionNum, $YSP ) 
          or die( "Function validateSession error\n" );
	

}

require ("createSessionView.php"); 


# If a message was posted then insert it into the database.

if( !empty( $message ) ) { 
  insertMessage( $userId, $message, $YSP ) 
  or die( "Function insertMessage error\n" );
}



# Display up to 5 of the latest messages in a table on the web page.

$q = "SELECT u.userId, u.first, u.last, u.userType, m.messageId, m.message FROM ${YSP}user u, ${YSP}message m WHERE u.userId = m.userId ORDER BY messageId DESC LIMIT 5";
#displayMessageTable($q) or die( "Function displayMessageTable error\n" );

#print "$userId";
#print "$message";
#print "$YSP";
#print "$sessionNum";
#print "$first";



# Display up to 5 of the latest messages in a table on the web page.
# And if the administrator has logged in it gives the administrative options
# (A different link)

if ($userType == "a"){
    print '<center><B><a href = "admintools.htm" target="_blank">Administrative Page</a></B></center><br>'; 
    displayMessageTable($q,$userType) or die( "Function displayMessageTable error\n" );
}
else
{
    displayMessageTable($q,$userType) or die( "Function displayMessageTable error\n" );
}


# Display a text box to allow the user to post new messages.

displayPostMessageForm($sessionNum) or die( "Function displayPostMessageForm error\n" );

# Write out the end of the web page.

endHTMLPage() or die( "Function endHTMLPage error\n" );

